commit 1f108b0482cd647bb38ad17a0bed1b301682b06a
Author: freddy77 <freddy77>
Date:   Tue Feb 5 10:03:57 2008 +0000

    test NCHAR and SQL_C_DEFAULT

diff --git a/src/odbc/unittests/wchar.c b/src/odbc/unittests/wchar.c
new file mode 100644
index 0000000..92bb084
--- /dev/null
+++ b/src/odbc/unittests/wchar.c
@@ -0,0 +1,38 @@
+#include "common.h"
+
+/* test SQL_C_DEFAULT with NCHAR type */
+
+static char software_version[] = "$Id: wchar.c,v 1.1 2008/02/05 10:03:57 freddy77 Exp $";
+static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
+
+int
+main(int argc, char *argv[])
+{
+	char buf[102];
+	SQLLEN ind;
+	int failed = 0;
+
+	/* TODO remove if not neeeded */
+	use_odbc_version3 = 1;
+	Connect();
+
+	SQLBindCol(Statement, 1, SQL_C_DEFAULT, buf, 100, &ind);
+	Command(Statement, "SELECT CONVERT(NCHAR(10), 'Pippo 123')");
+
+	/* get data */
+	memset(buf, 0, sizeof(buf));
+	SQLFetch(Statement);
+
+	SQLMoreResults(Statement);
+	SQLMoreResults(Statement);
+
+	Disconnect();
+
+	if (strcmp(buf, "Pippo 123 ") != 0) {
+		fprintf(stderr, "Wrong results '%s'\n", buf);
+		failed = 1;
+	}
+
+	return failed ? 1 : 0;
+}
+

